Summary:	Use the GMP library for Math::BigInt routines
Name:		perl-Math-BigInt-GMP
Version:	1.24
Release:	1%{?dist}
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Math-GMP/
Source0:	http://search.cpan.org/CPAN/authors/id/T/TE/TELS/math/Math-BigInt-GMP-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires:	gmp-devel
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Math::BigInt) >= 1.87
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)
BuildRequires:	perl(XSLoader) >= 0.02
BuildRequires:	perl(YAML)

%description
Provides support for big integer calculations via means of the GMP C-library.

Math::BigInt::GMP provides its own XS layer to access the GMP C-library rather
than using Math::GMP as an intermediate layer, an approach that reduces the
memory footprint compared with the old approach used in earlier versions of
Math::BigInt.

%prep
%setup -q -n Math-BigInt-GMP-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -type f -name '*.bs' -a -size 0 -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} 2>/dev/null ';'
%{__chmod} -R u+w %{buildroot}/*

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES CREDITS INSTALL LICENSE README
%{perl_vendorarch}/Math/
%{perl_vendorarch}/auto/Math/
%{_mandir}/man3/Math::BigInt::GMP.3pm*

%changelog
* Mon Nov  3 2008 Paul Howarth <paul@city-fan.org> 1.24-1
- Initial build
